BIO_MAP_KERN(9)

NAME
bio_map_kern - map kernel address into bio

SYNOPSIS

struct bio * bio_map_kern(struct request_queue * q, void * data, unsigned int len, gfp_t gfp_mask);

ARGUMENTS

q
    the struct request_queue for the bio

data
    pointer to buffer to map

len
    length in bytes

gfp_mask
    allocation flags for bio allocation

DESCRIPTION

Map the kernel address into a bio suitable for io to a block device. Returns an error pointer in case of error.

COPYRIGHT